To release a new version:

1. Checkout a new branch named `release-v{release}`
2. Complete the checklist *in given order*.  If anything changes, restart from
   the first step.

   - [ ] Check if dependencies are up to date
   - [ ] Reorder stuff in source code (imports, requirements, function
     definitions, command handlers...)
   - [ ] Update docstrings and comments
   - [ ] Update /help messages
   - [ ] Update translation
     - [ ] the template
     - [ ] each known language
   - [ ] Update version number
     - [ ] in `constants.py`
     - [ ] in the updated translations
   - [ ] Update documentation not listed below
   - [ ] Update `doc/LEGAL.pdf`
   - [ ] Update `doc/README.md`
   - [ ] Update `doc/CHANGELOG.md`
   - [ ] _At least now_, test _each command_, both as admin and simple user, to
     identify new bugs; testing English is mandatory, all other languages are
     recommended
   - [ ] If the items were checked, *uncheck them*!

   Using at least one commit per item is recommended.  They can be squashed
   afterwards.

3. Merge the branch in `master`
4. Tag the merge commit as `v{release}` and push
